navigation.Home=//ul[@id='navigation']//a[text()='Home']
navigation.LoginSection=//ul[@id='navigation']//a[text()='Sign in']
navigation.LatestPostsSection=//ul[@id='navigation']//a[contains(text(),"Latest posts")]
navigation.UsersSection=//a[@href='/users']//i[@class='ti-angle-down']
navigation.UsersRequestsSection=//ul[@class='submenu']//a[@href='/connections/requests']
navigation.ProfileSection=//a[@href='/users/profile']//i[@class='ti-angle-down']
navigation.EditProfileSection=//ul[@class='submenu']//a[@href='/users/update']
navigation.SettingsSection=//a[@href='#']//i[@class='ti-angle-down']
navigation.CategoriesSection=//ul[@class='submenu']//a[@href='/admin/categories']
navigation.NationalitiesSection=//a[contains(text(),"Nationalities")]

button.Submit=//button[@type='submit']
button.NewPost=//ul[@class='submenu']//a[text()='New post']
button.UploadPicture=//div[@class='form-group']//input[@id='file']
button.LikePost=//span[@id='like-btn']//i[@id='like-post']
button.DislikePost=//span[@id='dislike-btn']//i[@id='dislike-post']
button.SearchPost=//div[@class='row']//button[@id='search']
button.EditPost=//div[@class='blog_details']//i[@class='fa fa-pencil-square-o like']
button.EditComment=//div[@class='desc']//i[@class='fa fa-pencil-square-o like']
button.EditCategory=//h3[contains(text(), "Seasonal fruits")]//ancestor::div[3]//a[contains(text(), "Edit")]
button.EditUpdatedCategory=//h3[contains(text(), "Exotic fruits")]//ancestor::div[3]//a[contains(text(), "Edit")]
button.EditProfile=//a[@class='genric-btn success circle']
button.Delete=//div[@class='form-group mt-3']//a[@class='genric-btn primary-border e-large']
button.LikeComment=//div[@class='col-6']//i[@id='like-comment']
button.DislikeComment=//div[@class='col-6']//i[@id='dislike-comment']
button.SentRequest=//div[@class='row']//button[contains(text(), "SENT REQUEST (REJECT)")]
button.ConfirmConnection=//div[@class='row']//button[contains(text(), "CONFIRM")]
button.Add=//div[@class='col-6']//a[@class='genric-btn success circle pull-right']
button.LogOut=//ul[@id='navigation']//a[text()='Log out']
button.HomePage=//div[@class='media-body']//h3[text()="Home page"]

login.UsernameField=//div[@class='form-group']//input[@id='username']
login.PasswordField=//div[@class='form-group']//input[@id='password']

posts.TitleField=//div[@class='form-group']//input[@id='title']
posts.InitialCategory=//select[@id='categories']//option[@value='2']
posts.UpdatedCategory=//select[@id='categories']//option[@value='4']
posts.DescriptionField=//div[@class='form-group']//textarea[@id='description']
posts.CreatedPostLocator=//div[@id='user-feed-content']//h3[contains(text(), "Apple")]
posts.CreatedPostLocatorInLatestPosts=//div[@id='feed-content']//h3[contains(text(), "Apple")]
posts.UpdatedPostLocator=//div[@class='blog_details']//h1[contains(text(), "Lemon")]
posts.SearchField=//div[@class='form-group']//input[@id='search-input']
posts.AssertDeletePost=//h3[contains(text(), "Lemon")]

comments.Field=//div[@class='form-group']//textarea[@id='comment']
comments.CreatedCommentLocator=//div[@class='blog_right_sidebar']//p[contains(text(), "This is a test comment.")]
comments.UpdatedCommentLocator=//div[@class='blog_right_sidebar']//p[contains(text(), "This is the new text for our updated comment.")]

users.User1Profile=//a[@href='/users/11']//h3
users.User1ConnectionRequest=//div[@class='blog_right_sidebar']//span[contains(text(), "abalas@abv.bg")]
users.User2Profile=//div[@id='user-content']//a[@href='/users/12']//h3
users.User2EmailValidation=//div[@class='resepies_details']//span[contains(text(), "onefortraining@mail.bg")]

profile.FamilyNameField=//div[@class='form-group']//input[@id='lastName']

categories.CategoryNameField=//div[@class='form-group']//input[@id='category']
categories.CreatedCategoryLocator=//div[@class='col-lg-12']//h3[text()='Seasonal fruits']
categories.UpdatedCategoryLocator=//div[@class='col-lg-12']//h3[text()='Exotic fruits']
categories.AssertDeleteCategory=//h3[contains(text(), "Exotic fruits")]

nationalities.NameField=//div[@class='form-group']//input[@id='nationality']